Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.flutterwave.com/v3/wallet/statement \ --header 'Authorization: Bearer <token>'
{ "status": "<string>", "message": "<string>", "data": { "page_info": { "total": 158, "current_page": 1, "total_pages": 16 }, "transactions": [ { "type": "<string>", "amount": 123, "currency": "<string>", "balance_before": 123, "balance_after": 123, "reference": "<string>", "date": "<string>", "remarks": "<string>", "sent_currency": "<string>", "rate_used": 123, "sent_amount": 123, "statement_type": "<string>" } ] } }
Fetch your wallet’s transaction history
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
OK
Show child attributes
Was this page helpful?